{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Pencarian</title>
{% endblock meta %}

{% block footer_style %}relative{% endblock %}

{% block content %}

<div class="d-flex flex-column my-3 berita-content">
  <h1 style="text-align: center;"> Pencarian </h1>

  <div class="card my-5 border-custom">
    <div class="card-body p-5">
      <h5 class="card-title">Nama Provinsi</h5>
          <form method="post" action="{% url 'pencarian' %}">
            {% csrf_token %}
            {% for form in form %}
              {{ form }}
            {% endfor %}
            <br>
              <button class="btn btn-primary" type="submit">Cari</button>
            <br>
          </form>

    </div>
  </div>

  {% if info.nama_provinsi.nama != null %}
  <h1 style="text-align: center;"> Hasil Pencarian </h1> 
  <div class="card my-5 border-custom">
    <div class="card-body p-5">
      <h3 class="card-title" style="text-align: center;">{{ info.nama_provinsi.nama}}</h3>
      <div class="card my-3 border-custom2">
        <div class="card-body child-card">
          <h4><strong>Protokol Kesehatan</strong></h4>
          <h4>{{ info.protokol_kesehatan }}</h4>
          <br>
        {% for website in info.website_pemda.all %}
          <br>
          <h4>Website: <br><li><a href="{{ website.alamat }}" target="_blank">{{ website.alamat }}</a></li></h4>
        {% endfor %}
          <br>
        {% for email in info.email_pemda.all %}
          <h4>Alamat Email: <br><li>{{ email.email }}</li></h4>
        {% endfor %}
          <br>
        {% for telpon in info.telpon_pemda.all %}
          <h4>No. Telpon: <br><li>{{ telpon.nomor_telpon }}</li><h4>
        {% endfor %}
        </div>
      </div>
    </div>
  </div>
  {% else %}
  <h1 style="text-align: center;"> Hasil Pencarian </h1>
  <div class="card my-5 border-custom">
    <div class="card-body p-5">
      <h3 class="card-title" style="text-align: center;">💥 OOPS! 💥<br>Data provinsi yang dicari belum tersedia, belum terisi 
        atau terdapat kesalahan ejaan nama provinsi. Mohon periksa kembali 🙏🏻</h3>
    </div>
  </div>
  {% endif %}

</div>

{% endblock content %}